@echo off
:: =================================
::	delNCHSoftware.bat 2024-01-12
::	Del NCH Software
::	NCHEndCmd
:: =================================

if "%~1"=="" (
	set "NCHEndCmd=k"
) else (
	set "NCHEndCmd=c"
)

rem ====----	Run a command as an Administrator from the Windows command line
set "Driver=%~d0"
set "FilePath=%~p0"
%ComSpec% /C powershell "Start-Process cmd -Verb RunAs -ArgumentList '/c exit '" && cd "%Driver%%FilePath%"
cd "%Driver%%FilePath%"
%Driver%

rem ====----	delNCHSoftware
rem ====	del NCH Software

	echo rmdir /S /Q "%USERPROFILE%\NCH Software Suite"
	rmdir /S /Q "%USERPROFILE%\NCH Software Suite"

	echo rmdir /S /Q "%ProgramData%\Microsoft\Windows\Start Menu\Programs\NCH Software Suite"
	rmdir /S /Q "%ProgramData%\Microsoft\Windows\Start Menu\Programs\NCH Software Suite"

	echo del /Q /F "%ProgramData%\Microsoft\Windows\Start Menu\Programs\NCH Suite.lnk"
	del /Q /F "%ProgramData%\Microsoft\Windows\Start Menu\Programs\NCH Suite.lnk"

	echo del /Q /F "%PUBLIC%\desktop\NCH Suite.lnk"
	del /Q /F "%PUBLIC%\desktop\NCH Suite.lnk"

	echo del /Q /F "%USERPROFILE%\Favorites\NCH Software Download Site.lnk"
	del /Q /F "%USERPROFILE%\Favorites\NCH Software Download Site.lnk"

	echo rd /S /Q "%Program Files (x86)%\NCH Software\Components\Shared"
	rd /S /Q "%ProgramFiles(x86)%\NCH Software\Components\Shared"
@echo on
	reg delete "HKEY_CURRENT_USER\Software\NCH Software\Components" /f
	reg delete "HKEY_CURRENT_USER\Software\NCH Software\Suite" /f
@echo off
rem ====	RegScanner.exe search	"Add to VideoPad Project"
rem ====	use Right Click Enhancer Professional search	"NCH"
@echo on
	reg import "delNCHReg\Add to VideoPad Project.reg"
	reg import "delNCHReg\Convert file type with Doxillion.reg"
	reg import "delNCHReg\Convert image file format with Pixillion.reg"
	reg import "delNCHReg\Convert sound file format with Switch.reg"
	reg import "delNCHReg\Convert video file format with Prism.reg"
	reg import "delNCHReg\Create slideshow with PhotoStage.reg"
	reg import "delNCHReg\Edit with WavePad Sound Editor.reg"
	reg import "delNCHReg\Edit your photos with PhotoPad.reg"
	reg import "delNCHReg\Extract with Express Zip.reg"
	reg import "delNCHReg\French Phone Converter.reg"
	reg import "delNCHReg\NCH Software Suite.reg"
	reg import "delNCHReg\Stabilize Video.reg"
	reg import "delNCHReg\videopad.exe L.reg"
	reg import "delNCHReg\videopad-extend.reg"
	reg import "delNCHReg\wavepad.exe L.reg"
	reg import "delNCHReg\wavepad-extfind.reg"
@echo off
%ComSpec% /%NCHEndCmd%